org.apache.hadoop.mapred

## Class InvalidInputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.mapred.InvalidInputException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class InvalidInputException
      extends IOException

  This class wraps a list of problems with the input, so that the user can get a list of problems together instead of finding and fixing them one by one.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidInputException(List<IOException> probs)` Create the exception with the given list.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getMessage()` Get a summary message of the problems found.
    `List<IOException>` | `getProblems()` Get the complete list of the problems reported.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidInputException

          public InvalidInputException(List<IOException> probs)

      Create the exception with the given list.
      Parameters:
        `probs` - the list of problems to report. this list is not copied.

  - ### Method Detail

    - #### getProblems

          public List<IOException> getProblems()

      Get the complete list of the problems reported.
      Returns:
        the list of problems, which must not be modified

    - #### getMessage

          public String getMessage()

      Get a summary message of the problems found.
      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        the concatenated messages from all of the problems.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.